/*! destyle.css v1.0.13 | MIT License | https://github.com/nicolas-cusan/destyle.css */
/* Reset box-model
   ========================================================================== */
* {
  box-sizing: border-box;
}

::before,
::after {
  box-sizing: inherit;
}

/* Document
   ========================================================================== */
/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 * 3. Remove gray overlay on links for iOS.
 */
html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
  -webkit-tap-highlight-color: transparent; /* 3*/
}

/* Sections
   ========================================================================== */
/**
 * Remove the margin in all browsers.
 */
body {
  margin: 0;
}

/**
 * Render the `main` element consistently in IE.
 */
main {
  display: block;
}

/* Vertical rhythm
   ========================================================================== */
p,
table,
blockquote,
address,
pre,
iframe,
form,
figure,
dl {
  margin: 0;
}

/* Headings
   ========================================================================== */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  line-height: inherit;
  font-weight: inherit;
  margin: 0;
}

/* Lists (enumeration)
   ========================================================================== */
ul,
ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

/* Lists (definition)
   ========================================================================== */
dt {
  font-weight: bold;
}

dd {
  margin-left: 0;
}

/* Grouping content
   ========================================================================== */
/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */
hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
  border: 0;
  border-top: 1px solid;
  margin: 0;
  clear: both;
  color: inherit;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
pre {
  font-family: monospace, monospace; /* 1 */
  font-size: inherit; /* 2 */
}

address {
  font-style: inherit;
}

/* Text-level semantics
   ========================================================================== */
/**
 * Remove the gray background on active links in IE 10.
 */
a {
  background-color: transparent;
  text-decoration: none;
  color: inherit;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */
abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */
b,
strong {
  font-weight: bolder;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: inherit; /* 2 */
}

/**
 * Add the correct font size in all browsers.
 */
small {
  font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/* Embedded content
   ========================================================================== */
/**
 * Remove the border on images inside links in IE 10.
 */
img {
  border-style: none;
  vertical-align: bottom;
}

embed,
object,
iframe {
  border: 0;
  vertical-align: bottom;
}

/* Forms
   ========================================================================== */
/**
 * Reset form fields to make them styleable
 * 1. Reset radio and checkbox to preserve their look in iOS.
 */
button,
input,
optgroup,
select,
textarea {
  -webkit-appearance: none;
  -moz-appearance: none;
       appearance: none;
  vertical-align: middle;
  color: inherit;
  font: inherit;
  border: 0;
  background: transparent;
  padding: 0;
  margin: 0;
  outline: 0;
  border-radius: 0;
  text-align: inherit;
}

[type=checkbox] {
  /* 1 */
  -webkit-appearance: checkbox;
  appearance: checkbox;
}

[type=radio] {
  /* 1 */
  -webkit-appearance: radio;
  appearance: radio;
}

/**
 * Show the overflow in IE.
 * 1. Show the overflow in Edge.
 */
button,
input {
  /* 1 */
  overflow: visible;
}

/**
 * Remove the inheritance of text transform in Edge, Firefox, and IE.
 * 1. Remove the inheritance of text transform in Firefox.
 */
button,
select {
  /* 1 */
  text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */
button,
[type=button],
[type=reset],
[type=submit] {
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
       appearance: none;
}

button[disabled],
[type=button][disabled],
[type=reset][disabled],
[type=submit][disabled] {
  cursor: default;
}

/**
 * Remove the inner border and padding in Firefox.
 */
button::-moz-focus-inner,
[type=button]::-moz-focus-inner,
[type=reset]::-moz-focus-inner,
[type=submit]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */
button:-moz-focusring,
[type=button]:-moz-focusring,
[type=reset]:-moz-focusring,
[type=submit]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

/**
 * Remove padding
 */
option {
  padding: 0;
}

/**
 * Reset to invisible
 */
fieldset {
  margin: 0;
  padding: 0;
  border: 0;
  min-width: 0;
}

/**
 * 1. Correct the text wrapping in Edge and IE.
 * 2. Correct the color inheritance from `fieldset` elements in IE.
 * 3. Remove the padding so developers are not caught out when they zero out
 *    `fieldset` elements in all browsers.
 */
legend {
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */
progress {
  vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */
textarea {
  overflow: auto;
}

/**
 * 1. Remove the padding in IE 10.
 */
[type=checkbox],
[type=radio] {
  padding: 0; /* 1 */
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */
[type=number]::-webkit-inner-spin-button,
[type=number]::-webkit-outer-spin-button {
  height: auto;
}

/**
 * 1. Correct the outline style in Safari.
 */
[type=search] {
  outline-offset: -2px; /* 1 */
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */
[type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */
::-webkit-file-upload-button {
  -webkit-appearance: button; /* 1 */
  font: inherit; /* 2 */
}

/**
 * Clickable labels
 */
label[for] {
  cursor: pointer;
}

/* Interactive
   ========================================================================== */
/*
 * Add the correct display in Edge, IE 10+, and Firefox.
 */
details {
  display: block;
}

/*
 * Add the correct display in all browsers.
 */
summary {
  display: list-item;
}

/* Table
   ========================================================================== */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

caption {
  text-align: left;
}

td,
th {
  vertical-align: top;
  padding: 0;
}

th {
  text-align: left;
  font-weight: bold;
}

/* Misc
   ========================================================================== */
/**
 * Add the correct display in IE 10+.
 */
template {
  display: none;
}

/**
 * Add the correct display in IE 10.
 */
[hidden] {
  display: none;
}

/*img reset*/
img {
  max-width: 100%;
  display: inline-block;
  vertical-align: bottom;
}

* {
  box-sizing: border-box;
}

ul, ol {
  list-style: none;
}

body {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
}

em.langJa,
em.langEn,
em.langChk,
em.langChh,
em.langKo,
i.langJa,
i.langEn,
i.langChk,
i.langChh,
i.langKo {
  display: none;
}

html[lang=ja] em.langJa, html[lang=ja] i.langJa {
  display: inline !important;
}
html[lang=ja] .shopInfoPanel__name em.langJa {
  display: inline-block !important;
}

html[lang=en] em.langEn, html[lang=en] i.langEn {
  display: inline !important;
}
html[lang=en] .shopInfoPanel__name em.langEn {
  display: inline-block !important;
}

html[lang=zh-cmn-Hans] em.langChk, html[lang=zh-cmn-Hans] i.langChk {
  display: inline !important;
}
html[lang=zh-cmn-Hans] .shopInfoPanel__name em.langChk {
  display: inline-block !important;
}

html[lang=zh-cmn-Hant] em.langChh, html[lang=zh-cmn-Hant] i.langChh {
  display: inline !important;
}
html[lang=zh-cmn-Hant] .shopInfoPanel__name em.langChh {
  display: inline-block !important;
}

html[lang=ko] em.langKo, html[lang=ko] i.langKo {
  display: inline !important;
}
html[lang=ko] .shopInfoPanel__name em.langKo {
  display: inline-block !important;
}

em {
  font-style: normal;
}

* {
  box-sizing: border-box;
}

body, html {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #000;
  overflow: hidden;
}

*:focus {
  outline: 0;
}

.container {
  position: absolute;
  /*left:0;top:0;bottom:0;right: 0;*/
  background: #000;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transform-origin: 0 0;
  overflow: hidden;
}

.container canvas, .container img {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
}

button {
  border: none;
}

.limitboard {
  position: absolute;
  transform-origin: 0 100%;
  width: 436px;
  height: 300px;
  transform: scale(0.6);
  background: url(../img/limitboard.png);
  left: 20px;
  bottom: -500px;
  transition: bottom 0.5s ease-out;
}
.limitboard.on {
  bottom: 0;
}
.limitboard .rest {
  position: absolute;
  left: 230px;
  top: 92px;
}
.limitboard .meter {
  width: 368px;
  height: 30px;
  background: url(../img/meter.png);
  position: absolute;
  left: 27px;
  top: 212px;
  transition: width 800ms linear;
}
.limitboard span {
  position: absolute;
  width: 40px;
  height: 52px;
  display: block;
  background-image: url(../img/sec_num.png);
  background-repeat: no-repeat;
  transform-origin: 0 0;
  transform: scale(1.4);
}
.limitboard span:nth-child(1) {
  left: 0;
}
.limitboard span:nth-child(2) {
  left: 60px;
}
.limitboard span.n0 {
  background-position: 0px 0;
}
.limitboard span.n1 {
  background-position: -40px 0;
}
.limitboard span.n2 {
  background-position: -80px 0;
}
.limitboard span.n3 {
  background-position: -120px 0;
}
.limitboard span.n4 {
  background-position: -160px 0;
}
.limitboard span.n5 {
  background-position: -200px 0;
}
.limitboard span.n6 {
  background-position: -240px 0;
}
.limitboard span.n7 {
  background-position: -280px 0;
}
.limitboard span.n8 {
  background-position: -320px 0;
}
.limitboard span.n9 {
  background-position: -360px 0;
}

video.stream {
  transform: scale(-1, 1);
}

.container video {
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  pointer-events: none;
}
.container video.opening {
  transition: opacity 0.3s ease-in;
}
.container video.opening.off {
  opacity: 0;
}
.container video.kirarin {
  z-index: 1000;
  transition: opacity 0.1s ease-in;
  opacity: 0;
}
.container video.kirarin.on {
  opacity: 1;
}

#trace {
  position: absolute;
  z-index: 10000;
  background: rgba(0, 0, 0, 0.5);
  color: #ccc;
  font-size: 14px;
  padding: 20px;
  line-height: 1.2;
  right: 0;
  top: 0;
  min-width: 300px;
}

#trace span {
  color: #faa;
  margin-right: 10px;
  display: inline-block;
  min-width: 150px;
}

@keyframes banzai {
  0% {
    background-position: 0 0;
  }
  19.99999% {
    background-position: 0 0;
  }
  20% {
    background-position: -198px 0;
  }
  100% {
    background-position: -198px 0;
  }
}
@keyframes bubble {
  0% {
    opacity: 0;
    transform: translate(-50%, 0) scale(0.1);
  }
  19.99999% {
    opacity: 0;
    transform: translate(-50%, 0) scale(0.1);
  }
  20% {
    opacity: 1;
    transform: translate(-50%, 0) scale(0.1);
  }
  80%, 100% {
    transform: translate(-50%, 0) scale(0.35);
  }
}
@keyframes numAnim {
  to {
    background-position: 189px 0;
  }
}
@keyframes scaleAnim {
  0% {
    transform: scale(0.8);
  }
  35% {
    transform: scale(1.05);
  }
  40%, 100% {
    transform: scale(1);
  }
}
@keyframes shutter1 {
  0% {
    opacity: 0;
    transform: translateY(-100%);
  }
  50% {
    opacity: 1;
    transform: translateY(0%);
  }
  100% {
    opacity: 0;
    transform: translateY(-100%);
  }
}
@keyframes shutter2 {
  0% {
    opacity: 0;
    transform: translateY(100%);
  }
  50% {
    opacity: 1;
    transform: translateY(0%);
  }
  100% {
    opacity: 0;
    transform: translateY(100%);
  }
}
.overlay {
  position: absolute;
  z-index: 10000;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  pointer-events: none;
  transition: opacity 0.4s ease-in;
  overflow: hidden;
}
.overlay.sec1 .ryoute {
  transform: none;
}
.overlay.sec1 .ryoute span:before {
  animation: banzai 4s linear infinite;
}
.overlay.sec1 .ryoute span:after {
  animation: bubble 4s linear infinite;
}
.overlay.sec2 .kinen {
  transform: none;
  width: 100%;
}
.overlay.sec2 .kinen span {
  transform: none;
  opacity: 1;
}
.overlay.sec2 .kinen.n1 em {
  background-position: -378px 0;
  animation: scaleAnim 0.4s ease-in-out;
  opacity: 1;
}
.overlay.sec2 .kinen.n2 em {
  background-position: -189px 0;
  animation: scaleAnim 0.4s ease-in-out;
  opacity: 1;
}
.overlay.sec2 .kinen.n3 em {
  background-position: 0 0;
  animation: scaleAnim 0.4s ease-in-out;
  opacity: 1;
}
.overlay.sec3 .shutter:before {
  animation: shutter1 0.3s ease-in-out;
}
.overlay.sec3 .shutter:after {
  animation: shutter2 0.3s ease-in-out;
}
.overlay .ryoute {
  position: absolute;
  height: 160px;
  left: 20px;
  top: 20px;
  background: rgba(255, 255, 255, 0.6666666667);
  border-radius: 40px;
  border: 8px solid #723d2c;
  transition: transform 0.6s ease-out;
  transform: translateY(-400px);
  width: 1580px;
}
.overlay .ryoute span {
  display: block;
  position: absolute;
  width: 300px;
  height: 300px;
  border-radius: 50%;
  right: -355px;
  top: 10px;
}
.overlay .ryoute span:before {
  width: 198px;
  height: 255px;
  background: url("../img/banzai.png") no-repeat;
  display: block;
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -127.5px 0 0 -99px;
}
.overlay .ryoute span:after {
  content: url("../img/touch_inf.png");
  display: block;
  position: absolute;
  left: 50%;
  top: -45%;
  transform: translate(-50%, 0) scale(0.2);
}
.overlay .ryoute:after {
  content: url(../img/ryoute.png);
  display: block;
  width: 1407px;
  height: 106px;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.overlay .shutter {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.overlay .shutter:after, .overlay .shutter:before {
  width: 100%;
  height: 50%;
  background: #000;
  position: absolute;
  content: "";
  display: block;
  left: 0;
}
.overlay .shutter:before {
  transform: translateY(-100%);
  top: 0;
}
.overlay .shutter:after {
  transform: translateY(100%);
  bottom: 0;
}
.overlay .kinen {
  position: absolute;
  height: 200px;
  top: 40%;
  left: 0px;
  background: rgba(255, 255, 255, 0.6666666667);
  margin-top: -100px;
  transition: transform 0.4s ease-out, width 0.4s ease-in-out, opacity 0.4s ease-in;
  transform: scaleY(0.1);
  width: 0;
}
.overlay .kinen.off {
  opacity: 0;
}
.overlay .kinen em {
  position: absolute;
  display: block;
  width: 189px;
  height: 253px;
  background: url(../img/cd_num.png) no-repeat;
  background-position: -378px 0;
  right: 150px;
  top: 50%;
  margin-top: -126.5px;
  opacity: 0;
  transform: opacity 0.2s ease-in;
}
.overlay .kinen span {
  position: absolute;
  display: block;
  height: 140px;
  width: 160px;
  background: url(../img/kinen.png) no-repeat;
  transform: translateY(-200px);
  top: 30px;
  opacity: 0;
}
.overlay .kinen span:nth-child(1) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.1s, opacity 0.3s ease-in 1.1s;
  left: 200px;
  background-position: 0px 0;
}
.overlay .kinen span:nth-child(2) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.2s, opacity 0.3s ease-in 1.2s;
  left: 340px;
  background-position: -150px 0;
}
.overlay .kinen span:nth-child(3) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.3s, opacity 0.3s ease-in 1.3s;
  left: 480px;
  background-position: -316px 0;
}
.overlay .kinen span:nth-child(4) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.4s, opacity 0.3s ease-in 1.4s;
  left: 620px;
  background-position: -496px 0;
}
.overlay .kinen span:nth-child(5) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.5s, opacity 0.3s ease-in 1.5s;
  left: 760px;
  background-position: -656px 0;
}
.overlay .kinen span:nth-child(6) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.6s, opacity 0.3s ease-in 1.6s;
  left: 900px;
  background-position: -830px 0;
}
.overlay .kinen span:nth-child(7) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.7s, opacity 0.3s ease-in 1.7s;
  left: 1040px;
  background-position: -997px 0;
}
.overlay .kinen span:nth-child(8) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.8s, opacity 0.3s ease-in 1.8s;
  left: 1180px;
  background-position: -1170px 0;
}
.overlay .kinen span:nth-child(9) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 1.9s, opacity 0.3s ease-in 1.9s;
  width: 80px;
  left: 1320px;
  background-position: -1336px 0;
}
.overlay .kinen span:nth-child(10) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 2s, opacity 0.3s ease-in 2s;
  width: 80px;
  left: 1400px;
  background-position: -1434px 0;
}
.overlay .kinen span:nth-child(11) {
  transition: transform 0.6s cubic-bezier(0.47, -0.16, 0.42, 1.59) 2.1s, opacity 0.3s ease-in 2.1s;
  width: 80px;
  left: 1480px;
  background-position: -1512px 0;
}
.overlay .naniga:after {
  content: url(../img/naniga.png);
  display: block;
  width: 975px;
  height: 106px;
  position: absolute;
  left: 50%;
  top: 50%;
  margin: -53px 0 0 -487.5px;
}

@keyframes bubbleMove {
  0% {
    margin-top: -16%;
  }
  50% {
    margin-top: -20%;
  }
  100% {
    margin-top: -16%;
  }
}
@keyframes loadTxt {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.2;
  }
  100% {
    opacity: 1;
  }
}
.loading {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #000;
  z-index: 10000;
  overflow: hidden;
  transition: opacity 1s ease-out 0.6s;
}
.loading:after {
  content: " ";
  width: 100%;
  height: 100%;
  background: #000;
  z-index: 100;
  display: block;
  position: absolute;
  transition: opacity 0.2s ease-out;
}
.loading.on:after {
  opacity: 0;
}
.loading .lbuble {
  position: absolute;
  top: 50%;
  width: 12%;
  display: block;
  margin-top: -16%;
  left: 0;
  transition: transform 0.3s ease-in, opacity 0.3s ease-in 0.2s;
  animation: bubbleMove 3s ease-in-out infinite;
}
.loading .lbuble.off {
  animation: none;
  transform: scale(2);
  opacity: 0;
}
.loading svg {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 43%;
}
.loading .loadingTxt {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 25.3%;
  height: 4.7%;
  background: url(../img/yomikomi.png) no-repeat center top;
  background-size: contain;
  transform: translate(-50%, -50%);
  margin-top: 16%;
  animation: loadTxt 2s ease-in infinite;
}
.loading.off {
  opacity: 0;
  pointer-events: none;
}
.loading.off .loadingTxt {
  display: none;
}